> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deduction

> Retrieve a specific deduction attached to an employee check.



## OpenAPI

````yaml openapi/employee-checks.json get /deductions
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /deductions:
    get:
      summary: Get Deduction
      description: Get a specific deduction.
      operationId: retrieve-deduction
      parameters:
        - name: deductionID
          in: query
          description: ID of Deduction to be retrieved
          required: true
          schema:
            type: string
        - name: companyID
          in: query
          description: CompanyID of the employer
          required: true
          schema:
            type: string
        - name: employeeCheckID
          in: query
          description: ID of the employee check
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema: {}
            examples:
              Request Example:
                value:
                  companyID: fc235f012bae46aa8a082f3
                  employeeCheckID: 7f0da5e428324c049ae6a6bac2e62f88
                  deductionID: 61d32bb356fdba0023fafa57
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      deductionID: 61d32bb356fdba0023fafa57
                      deduction_type: 401k
                      employer_contribution:
                        value: 7
                        contribution_type: dollars
                        matching: false
                      employee_contribution:
                        value: 5
                        contribution_type: percentage
                      employee_calculated_contribution: 96.61
                      deductionTemplateID: 61cadff23e6f8201c34c77c6
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      deductionID:
                        type: string
                        example: 61d32bb356fdba0023fafa57
                      deduction_type:
                        type: string
                        example: 401k
                      employer_contribution:
                        type: object
                        properties:
                          value:
                            type: integer
                            example: 7
                            default: 0
                          contribution_type:
                            type: string
                            example: dollars
                          matching:
                            type: boolean
                            example: false
                            default: true
                      employee_contribution:
                        type: object
                        properties:
                          value:
                            type: integer
                            example: 5
                            default: 0
                          contribution_type:
                            type: string
                            example: percentage
                      employee_calculated_contribution:
                        type: number
                        example: 96.61
                        default: 0
                      deductionTemplateID:
                        type: string
                        example: 61cadff23e6f8201c34c77c6
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee Check with this check ID does not exist
                        code: 43
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee Check with this check ID does not exist
                        code:
                          type: integer
                          example: 43
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````